XINE(1)

NOMBRE
xine - un reproductor libre de vídeo

SINOPSIS
xine [opciones] [MRL] ...

DESCRIPCIÓN
Esta página del manual documenta brevemente al reproductor de sonido/imagen xine

xine reproduce secuencias MPEG (sonido e imagen), secuencias elementales mpeg (ej.: ficheros .mp3 ó .mpv), secuencias de transporte mpeg, ficheros ogg, avi, asf, quicktime, (S)VCDs y DVDs y mucho más.

OPCIONES
Los programas siguen las sintaxis usuales de línea de órdenes GNU, con opciones largas comenzando con dos rayas (`--'). Debajo se incluye un resumen de las opciones. Para una descripción completa, vea el README_es y el FAQ_es en /opt/local/share/doc/xine-ui o en la página web de xine.

-h, --help
    (Ayuda) Muestra el conjunto de opciones y los controladores de salida disponibles (complementos).

--verbose[=nivel]
    Ajusta la cantidad de verborrea.

-c, --config <fichero>
    Use el fichero config en lugar del de por omisión.

-a, --audio-channel <núm>
    Selecciona el canal de audio dado. <núm> es el número del canal de sonido, por omisión es el 0.
    xine 0.5 y superiores intenta lo mejor que puede en averiguar todos los canales válidos del flujo (ac3, audio mpeg, avi, ...) y mapeándolos a "canales virtuales" con números de canales comenzado en 0.

-V, --video-driver <ctrl>
    Selección del controlador de vídeo. Mire xine --help para una lista de complementos de salida de vídeo disponibles en su sistema. Esta selección es almacenada automáticamente en su ~/.xine/config por lo que tendrá que especificar sólo una vez el controlador de vídeo.

-A, --audio-driver <ctrl>
    Selección del controlador de sonido. Mire xine --help para una lista de complementos de salida de sonido disponibles en su sistema. Esta selección es almacenada automáticamente en su ~/.xine/config por lo que tendrá que especificar sólo una vez el controlador de sonido.

-u, --spu-channel <núm>
    Selección de subimagen (subtítulos). <núm> es la identificación del canal de subtítulo elegido; por defecto no se selecciona ningún subtítulo (-1).

-p, --auto-play=[f][F][h][w][q][d][v]
    Comenzar la reproducción inmediatamente después de haber iniciado xine. Puede estar seguido por:
    `f' en modo de pantalla completa,
    `F' en modo xinerama a pantalla completa,
    `h' esconde IGU (panel principal, etc...),
    `w' esconde la pantalla de salida de vídeo,
    `q' para salir después de la reproducción,
    Es también posible pedir la lista de reproducción al DVD `d'' o al VCD `v'. Hay ahora una opción más genérica para eso, --auto-scan, (ver abajo).

-s, --auto-scan <complemento>
    Auto-explorar la lista de reproducción desde el complemento de entrada nombrado. Muchos complementos permiten leer una lista de reproducción por defecto con objeto de reproducir todo. Esto funciona muy bien para DVDs o VCDs, por ejemplo. Poner esta opción tiene el mismo efecto que pulsar el botón adecuado en el panel principal de xine. Esta opción es especialmente útil en combinación con auto-reproducción (auto-play). Podría arrancar xine --auto-play --auto-scan dvd con objeto de reproducir un DVD entero sin pulsar ningún botón adicional. Esto también funciona para complementos que no se suministran con xine, ¡basta dar el nombre del botón que el complemento deseado añade al panel de xine!

-f, --fullscreen
    Cambiar xine a modo pantalla completa al arrancar (como si pulsase `f')

-F, --xineramafull
    Cambiar xine a modo xinerama en pantalla completa al arrancar (como si pulsase `F'). Es decir, trata de expandir la visualización a varias pantallas. Las pantallas se definen en el fichero de configuración.

-g, --hide-gui
    Esconde todas las ventanas IGU (excepto la ventana de vídeo) al arrancar. Esto es lo mismo que si pulsase `G' dentro de xine.

-H, --hide-video
    Esconde la ventana de salida de vídeo.

-L, --no-lirc
    Desconecta el soporte LIRC (infrarrojos). Esta opción está disponible únicamente si xine ha sido compilado con soporte LIRC.

--visual <clase-visual-o-id>
    Intenta usar una visual específica del servidor X11 para las ventanas de xine. El parámetro <clase-visual-o-id> es o bien el nombre de una clase visual X11 (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor o DirectColor (trad: gris estático, escala de grises, color estático, pseudo color, color verdadero o color directo)) o el valor hexadecimal de una visual X11 específica. Cuando se usa con el nombre de una clase visual, xine intenta encontrar tal visual con una profundidad de 15 o 16, 24, 32 u 8 (en ese orden). La clase visual por omisión usada por xine en ausencia de una opción --visual es TrueColor. Si no encuentra una visual usable, xine se retrae a la visual por omisión usada en la ventana raíz del servidor X11.

--install
    Cuando se use una visual X11 con colores cambiables (mapa de color), instala un mapa de color privado para xine. Con un mapa de color privado, xine puede ubicar más colores de modo que la salida de vídeo pueda verse mejor.

--keymap [=opción]
    Muestra el mapa de teclado. Las opciones son:
    `default' muestra el mapa de teclado por omisión,
    `lirc' muestra un borrador de un fichero ~/.lircrc de configuración,
    `remapped' tabla del usuario de mapa de teclado remapeado,
    `file:<fichero>' usa fichero como tabla de mapa de teclado.
    Si no se da una opción, se selecciona `default'.

-n, --network
    Activa control de servidor remoto por red. Para usar el control de servidor remoto por red, se requiere un fichero de contraseña. Si xine no puede encontrarlo, el servidor se para. La sintaxis del fichero de contraseña sigue el esquema (acostumbrado) <identificación>:<contraseña>. Puesto que la criptografía tiene problemas legales en algunos países, la contraseña no está cifrada y se transmite sin cifrar, así que tenga cuidad con conexiones remotas. También están disponibles dos reglas (opcionales) genéricas (una cada vez)
    ALL:ALLOW o ALL:DENY
    En el primer caso, todos los clientes pueden ejecutar todas las ordenes disponibles, sin restricción. En el segundo caso, nadie puede ejecutar ninguna orden, excepto los usuarios identificados (usando la orden 'identify'). Si una entrada de contraseña empieza con un asterisco `*', el usuario es bloqueado. Si una contraseña está vacía, la entrada completa se ignora. Aquí está un ejemplo de un pequeño fichero ~/.xine/passwd:
    ALL:DENY
    daniel:mypasswd
    foo:*
    Esto permite sólo a 'daniel' ejecutar órdenes, después de una identificación exitosa. El puerto por omisión del servidor es 6789; éste número es totalmente arbitrario. Puede conectar al servidor usando una simple orden telnet:
    telnet localhost 6789
    Para cambiar el puerto por omisión, puede editar (como root), su fichero /etc/services, y añadir una entrada como ésta:
    xinectl    7890/tcp        # control de xine
    Esto cambiará su puerto por omisión de 6789 a 7890, y creará un servicio "humano" llamado xinectl. El propio servidor ofrece ayuda de órdenes/sintaxis:
    help [orden]
    Sin especificar orden, se mostrarán todas las órdenes disponibles. Si se especifica una orden, se dará un breve texto acerca de la funcionalidad de la orden.
    syntax <orden>
    Muestra la sintaxis de la orden.

-R, --root
    Use la ventana raíz como ventana de vídeo.

-G, --geometry <WxH[+X+Y]>
    Puede poner el tamaño y posición de la salida de vídeo usando parámetros de geometría como en las X (vea X(7)). Los desplazamientos X e Y son opcionales.

-B, --borderless
    Quitar los bordes de la ventana de vídeo, en el modo de ventana.

-N, --animation <mrl>
    Especificar una o más mrl a reproducir con flujos de sólo audio.

-P, --playlist <fichero>
    Use fichero como lista de reproducción. Los formatos conocidos son: asx, toxine, m3u, pls, sfv y fichero de texto puro.

-l, --loop [=mode]
    Poner modo de lista de reproducción en bucle. Si no se especifica el modo se usa modo loop. Los modos posibles son:
    loop: bucle completo de toda la lista.
    repeat: repetir el ítem actual de la lista.
    shuffle: seleccionar al azar una entrada de la lista entre los no reproducidos todavía.
    shuffle+: igual que "shuffle", pero reproduciendo indefinidamente la lista.

--skin-server-url <url>
    Define la url del servidor de pieles.

--enqueue <mrl>...
    Encola uno o más mrls en una sesión en ejecución (sesión 0).
    Si desea especificar otra sesión, use la opción -S session=x.

-S, --session <option1,option2,...>
    Gestión de sesiones. Todas las opciones pueden usarse más de una vez, excepto session.
    Las opciones son:
    session=n especifica número <n> de sesión,
    mrl=m añade mrl <m> a la lista de reproducción,
    audio=c selecciona canal de audio (<c>: next o prev),
    spu=c seleccionar canal spu (subtítulos) (<c>: next o prev),
    volume=v poner el volumen de audio (<v>: 0 a 100),
    amp=v poner amplificación de audio de la instancia (<v>: 0 a 200),
    loop=m poner modo bucle (<m>: none loop repeat shuffle o shuffle+),
    get_speed saca el estado de la velocidad actual. Los valores devueltos son:
        - 1: error
        - 2: stop (parado)
        - 3: play (reproducción)
        - 4: pause (pausa)
        - 5: slow4 (lento 4)
        - 6: slow2 (lento 2)
        - 7: fast2 (rápido 2)
        - 8: fast4 (rápido 4)
    get_time[=p|pos] saca la posición actual en segundos, o en posición en el flujo (0..65535).
    (playlist|pl)=p (lista de reproducción)
      <p> puede ser:
        clear: borrar la lista de reproducción,
        first: reproducir la primera entrada de la lista,
        prev: reproducir la entrada anterior de la lista,
        next: reproducir la entrada siguiente de la lista,
        last:         reproducir la última entrada de la lista,
        load:s: leer fichero de lista <s>,
        stop: detener la reproducción al final de la reproducción actual,
        cont: continuar la reproducción al final de la reproducción actual.
    Hay también algunas opciones auto explicativas:
        play, slow2, slow4, pause, fast2, fast4, stop, quit, fullscreen, eject.

-Z  No empezar automáticamente la reproducción, afecta únicamente auto-start cuando se usa el modo inteligente (smart).

-D, --deinterlace [post[:..][;]]
    Desentrelazar la salida de vídeo. Puede invalidar las opciones de configuración de post tratamientos usado para desentrelazar la imagen de salida. Vea --post para la sintaxis.

-r, --aspect-ratio <modo>
    Define la razón de aspecto de la salida de vídeo. <modo> puede ser: auto, square, 4:3, anamorphic, dvb (auto, cuadrado, 4:3, anamórfico, dvb).

--broadcast-port <port>
    Define el puerto del difusor de xine (lado maestro), el exclavo es arrancado con 'xine slave://dirección:puerto'

--no-logo
    No mostrar el logo.

-E, --no-reload
    No recargar la antigua lista de reproducción. La lista se graba cuando se sale de xine, entonces es recargada y reproducida la siguiente vez que lanza xine. Ésta característica puede ser desactivada en la pantalla de configuración.

--post <complemento>[:parámetro=valor][,...][;...]
    Carga uno o más post-complemento(s). Los parámetros se separan con comas. Esta opción puede usarse más de una vez para encadenar dos o más complementos de postproceso. Puede especificar dos o más complementos, que pueden estar separados por un punto y coma ';'.

--disable-post
    No activar post-complemento(s). De esta forma, puede especificar uno o más complementos a usar, mediante la opción de orden de terminal --post, pero no activa esos efectos.

--no-splash
    No muestra la pantalla de bienvenida.

--stdctl
    Activa el control de xine mediante STDIN.

-T, --tvout<motor>
    Activa el soporte de TVout. <motor> puede ser: nvtv, ati.

--list-plugins[=tipo]
    Muestra la lista de complementos disponibles. <tipo> opcional puede ser: audio_out, video_out, demux, input, sub, post, audio_decoder, video_decoder.

--bug-report[=mrl]
    Activa el modo de reporte de gazapos. Activa la verbosidad, recoge todos los mensajes de salida y los escribe en un fichero llamado BUG-REPORT.TXT. Si se pone <mrl>, xine reproducirá esa mrl y saldrá (igual que -pq).

Si no especifica ninguna MRL, deberá seleccionar un fichero mediante arrastrar y soltar. Se sabe que funciona arrastrar ficheros desde GNOME Midnight Commander (gmc), Nautilus o Konqueror.

MRL (localizador de recursos multimedia)
Las MRLs son similares a las URLs de su navegador. Describen el medio del que se va a leer. La página xine(5) lo describen con algún detalle. xine extiende la sintaxis como sigue:

<mrl>::<fichero_de_subtítulos>
    Ésta es la manera especifica de xine-ui de definir el fichero de subtítulos a usar. El nombre de fichero será extraído por el frontal, lo que permite cambiarlo, guardarlo en una lista de reproducción, etc...

OPCIONES DE FLUJOS
Después de un delimitador # puede añadir varios parámetros de flujo:

novideo
    el vídeo se ignorará

noaudio
    el audio se ignorará

nospu
    los subtítulos (subpictures) se ignorarán

demux:<nombre demux>
    especifica el complemento demultiplexador a usar

volume:<nivel>
    ajusta el nivel del volumen de audio

compression:<nivel>
    ajusta el rango de compresión dinámica de audio

<entrada de configuración>:<valor de configuración>
    asigna un nuevo valor a cualquier entrada de la configuración

cambiar la configuración 'al vuelo':
    Puede cambiar una opción de la configuración en cualquier momento, usando el estilo especial cfg:/ mrl. La sintaxis es:
        cfg:/<entrada de configuración> : <valor de configuración>
    Contrariamente a la opción de configuración del flujo, puede cambiar cualquier cosa antes de reproducir el flujo.

TECLAS DE CONTROL
Muchas de las características pueden ser controladas presionando las teclas de control. `M-' es la tecla Meta (tecla `Alt' en el teclado del PC), `C-' es la tecla de Control o `CTRL'; otras teclas especiales se delimitan con los caracteres `<' y `>', p.e. la tecla `HOME' se muestra como <home>. Las ligazones por defecto son:

<Return>
    Comienza la reproducción

<barra espaciadora>
    Pausa/continua la reproducción

S   Para la reproducción

t   Toma una foto

e   Expulsa el medio actual

<AvPág>
    Selecciona y reproduce la MRL siguiente de la lista

<RePág>
    Selecciona y reproduce el MRL anterior de la lista

l   Conmuta el modo de bucle

C-s Explora la lista para recoger información de los flujos

C-a Añade una marca de medios desde la reproducción actual

C-e Edita la marca de medios seleccionada

<Izquierda>
    Va a la posición -60 segundos en el flujo actual

<Derecha>
    Va a la posición +60 segundos en el flujo actual

M-<Izquierda>
    Va a la posición -30 segundos en el flujo actual

M-<Derecha>
    Va a la posición +30 segundos en el flujo actual

C-<Izquierda>
    Va a la posición -15 segundos en el flujo actual

C-<Derecha>
    Va a la posición +15 segundos en el flujo actual

M3-<Izquierda>
    Va a la posición -7 segundos en el flujo actual

M3-<Derecha>
    Va a la posición +7 segundos en el flujo actual

C-0 Va a la posición del inicio del flujo actual

C-1 Va a la posición 10% del flujo actual

C-2 Va a la posición 20% del flujo actual

C-3 Va a la posición 30% del flujo actual

C-4 Va a la posición 40% del flujo actual

C-5 Va a la posición 50% del flujo actual

C-6 Va a la posición 60% del flujo actual

C-7 Va a la posición 70% del flujo actual

C-8 Va a la posición 80% del flujo actual

C-9 Va a la posición 90% del flujo actual

<Arriba>
    Aumenta la velocidad de reproducción

<Abajo>
    Disminuye la velocidad de reproducción

M-<Abajo>
    Repone la velocidad de reproducción

V   Aumenta el volumen de audio

v   Disminuye el volumen de audio

C-V Aumenta el nivel de amplificación

C-v Disminuye el nivel de amplificación

C-A Repone la amplificación a su valor por omisión

C-m Audio mudo/activo

<más>
    Selecciona el siguiente canal de audio

<menos>
    Selecciona el canal de audio anterior

<punto>
    Selecciona el siguiente canal de sub imagen (subtítulos)

<coma>
    Selecciona el canal anterior de sub imagen (subtítulos)

i   Conmutador de modo entrelazado

a   cambia razón de aspecto

<menor>
    Reduce el tamaño de la ventana de salida en un factor de 1.2

<mayor>
    Agranda el tamaño de la ventana de salida en un factor de 1.2

M-1 Pone el tamaño de la ventana de vídeo al 50%

M-2 Pone el tamaño de la ventana de vídeo al 100%

M-3 Pone el tamaño de la ventana de vídeo al 200%

z   Zoom adentro

Z   Zoom afuera

C-z Zoom adentro horizontal

C-Z Zoom afuera horizontal

M-z Zoom adentro verticalmente

M-Z Zoom afuera verticalmente

C-M-z
    Reiniciar el zoom

s   Reajusta el tamaño de la ventana de salida al tamaño del flujo

f   Conmutador de ventana completa

F   Conmutador de ventana completa en xinerama

b   Conmutador de apariencia de los bordes de la ventana de vídeo

<Escape>
    Saltar al menú de medios

<F1>
    Saltar al menú de título

<F2>
    Saltar al menú raíz

<F3>
    Saltar al menú de sub-imagen

<F4>
    Saltar al menú de audio

<F5>
    Saltar al menú de ángulo

<F6>
    Saltar al menú de parte

<Arriba en teclado numérico>
    Navegar por el menú hacia arriba

<Abajo en teclado numérico>
    Navegar por el menú hacia abajo

<Izquierda en teclado numérico>
    Navegar por el menú hacia la izquierda

<Derecha en teclado numérico>
    Navegar por el menú hacia la derecha

<Intro en teclado numérico>
    Seleccionar menú

<AvPág en teclado numérico>
    Saltar al siguiente capítulo

<RePág en teclado numérico>
    Saltar al siguiente capítulo

<Inicio en teclado numérico>
    Seleccionar siguiente ángulo

<Fin en teclado numérico>
    Seleccionar ángulo anterior

M-h Conmutador de visibilidad de la ventana de ayuda

M-P Conmutador de visibilidad de la ventana de post-efectos de vídeo

C-M-P
    Conmuta uso de post efectos

h   Conmuta la visibilidad de la ventana de salida

g   Conmuta la visibilidad de la ventana de interfase de usuario

M-c Conmuta la visibilidad de la ventana de control

M-m Conmuta la visibilidad de la ventana de navegación de mrl

M-p Conmuta la visibilidad de la ventana de edición de lista de reproducción

M-s Conmuta la visibilidad de la ventana de configuración

M-e Conmuta la visibilidad de la ventana del enviador de eventos

M-t Conmuta la visibilidad de la ventana de televisión analógica

M-l Conmuta la visibilidad del visor del registro

M-i Conmuta la visibilidad de la ventana de información del flujo

C-i Muestra información del flujo usando VEP (visualización en pantalla)

M-k Entre en en el editor de vínculos de teclado

C-o Abrir selector de ficheros

C-S Seleccionar un fichero de subtítulos

C-d Descarga una piel desde el servidor de pieles

C-t Conmutador para mostrar MRL/Ident

<Insert>
    Conmutador de captura del puntero

0   Introduce el número 0

1   Introduce el número 1

2   Introduce el número 2

3   Introduce el número 3

4   Introduce el número 4

5   Introduce el número 5

6   Introduce el número 6

7   Introduce el número 7

8   Introduce el número 8

9   Introduce el número 9

M3-<plus>
    Suma 10 al siguiente número introducido

<slash>
    Definir la posición en el flujo actual al porcentaje numérico. Vea la sección sobre "Entrada numérica" abajo.

M-<Up>
    Definir la posición hacia adelante en el flujo actual por argumento numérico

M3-<Up>
    Definir la posición hacia atrás en el flujo actual por argumento numérico

m   Cambie la sincronización de audio vídeo (retrasa el vídeo)

n   Cambie la sincronización de audio vídeo (retrasa el audio)

<Home>
    Reinicia el desfase de la sincronización de audio vídeo

M   Cambia el sincronismo de los subtítulos (retrasa el vídeo)

N   Cambia el sincronismo de los subtítulos (retrasa los subtítulos)

C-M-o
    Conmuta modos de TV (en el DXR3)

d   Cambia el monitor a modo DPMS standby (espera)

C-l Para la reproducción después de reproducir el flujo

q   Salir del programa

  Complementos de terceras partes
Las siguientes ligazones son usados por complementos de terceras partes, especialmente para navegación de DVD:

<Teclado numérico: arriba>
    Evento arriba.

<Teclado numérico: abajo>
    Evento abajo.

<Teclado numérico: izquierda>
    Evento izquierda.

<Teclado numérico: derecha>
    Evento derecha.

<Teclado numérico: RePág>
    Evento RePág.

<Teclado numérico: AvPág>
    Evento AvPág.

<Teclado numérico: Fin>
    Evento ángulo anterior.

<Teclado numérico: Inicio>
    Evento ángulo siguiente.

<Teclado numérico: Intro>
    Selecciona evento

  Ajuste fino de sincronismo
Algunos flujos tienen marcas de tiempo erróneas, y por tanto el sincronismo falla. Esto puede ser ajustado con estas teclas:

n   pulsar si el vídeo se queda atrás del audio

m   pulsar si el vídeo adelanta al audio

<inicio>
    pulsar para reiniciar la compensación audio/vídeo a 0, así se dejan intactas las marcas de tiempo del flujo.

  Sincronización de subtítulos
Puede ajustar el sincronismo de los subtítulos mediante estas teclas:

M / N

  Entrada numérica
Puede especificar un argumento numérico a una orden tecleando el número y entonces pulsando la tecla de función. Por ejemplo, introducir "99/", o sea, la tecla del número 9 dos veces seguido de la tecla de la barra; debería posicionarse al 99% del flujo actual.

El nuevo complemento VCD/SVCD permite algunas entradas numéricas. Introduciendo un número seguido de "Seleccionar evento" (por omisión intro en el teclado numérico), uno puede ir a un "capítulo" específico (pista o entrada) o número de selección. Como esto es una característica nueva, quizás con el tiempo más complementos hagan uso de la selección numérica.

Otras órdenes que pueden ser precedidas de un argumento numérico son MRL siguiente/anterior (MRL_NEXT, MRL_PRIOR), subtítulo siguiente/anterior (SPU_NEXT, SPU_PRIOR), y canal de audio siguiente/anterior (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR). Con un prefijo numérico, es como si uno hubiera introducido la orden ese número de veces. Aquí, el argumento 0, puesto que no tendría sentido, se interpreta como 1.

Vale, el uso de la entrada numérica aquí tiene valor limitado. Con el tiempo quizás más órdenes útiles como especificar un MRL específico o absoluto, canal de audio o subtítulos, sean implementadas.

FICHEROS

~/.xine/config
    Fichero principal de configuración

~/.xine/keymap
    Ligazones de teclado para xine-ui

~/.xine/passwd
    Fichero de contraseñas de xine-ui

~/.xine/xinerc
    Argumentos adicionales de línea de órdenes
    Cada línea especifica un argumento adicional de línea de órdenes (un argumento por línea):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

VEA TAMBIÉN
xine-remote(1)
xine(5) para detalles de la sintaxis MRL

Los programas están totalmente documentados en la página principal de xine: http://www.xine-project.org/ (http://www.xine-project.org/)

AUTOR
Estas páginas del manual fueron escritas por Siggi Langauf <siggi@debian.org>, para el proyecto xine. Muchos agregados de Guenter Bartsch <guenter@users.sourceforge.net>, Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>, y Philipp Hahn <pmhahn@users.sourceforge.net>. Traducción:
· Alfredo Delaiti <alfredodelaiti@netscape.net> (2001)
· Carlos E.R.M. <carloser@users.sourceforge.net> (2008-02, vers. 2002)